/* This file is part of cardwords
   (c) 2000 2001 Tobias Peters
   see file COPYING for the copyright terms.
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// cardwords_dicbot_cardtablemustnot.cc

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include "cardwords_dicbot_cardtablemustnot.hh"

bool
CardWords::DicBot_CardTableMustNot::test_allowed (CardWords::Char c) const
{
  return find(c) == end();
}
  
bool
CardWords::DicBot_CardTableMustNot::test_forbidden (CardWords::Char c) const
{
  return find(c) != end();
}

void
CardWords::DicBot_CardTableMustNot::clear (void)
{
  erase(begin(),end());
}
